Subject: bug#20363: 25.0.50; image.c Side-effect: Bombs unnecessarily on console

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 02 Aug 2019 14:09:22 +0200

raman <[email-masked]> writes:

> I run Emacs both on the Linux  Console  and under X.
>
> I also like reading xkcd via package xkcd.
>
> Package xkcd  calls function image-multi-frame-p 
> which eventually calls through to the C layer and produces this
> backtrace on the console; works fine under X.
> Debugger entered--Lisp error: (error "Window system frame should be used")
>   image-metadata((image :type png :file "~/.emacs.d/xkcd/1513.png"))
>   image-multi-frame-p((image :type png :file "~/.emacs.d/xkcd/1513.png"))
>   xkcd-insert-image("~/.emacs.d/xkcd/1513.png" 1513)

(I'm going through old bug reports that unfortunately have not received
any responses yet.)

This looks like a bug in the xkcd package, and you should take it up
with the maintainers of that package.  It should check whether it's on a
graphical display before it calls those functions.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no